Skip to main content
PATCH
Update a webhook endpoint

Authorizations

Authorization
string
header
required

An org API key: Authorization: Bearer oak_….

Path Parameters

endpoint_id
string
required

Body

application/json
url
string | null
Required string length: 1 - 2048
description
string | null
Maximum string length: 500
events
string[] | null
Required array length: 1 - 50 elements
enabled
boolean | null

Response

Successful Response

id
string
required
url
string
required
description
string | null
required
events
string[]
required
enabled
boolean
required
disabled_reason
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required